name: mesa-2404
version: 25.0.7-snap211
summary: Mesa libraries for core24 snaps
description: |
  A content snap containing the mesa libraries and drivers for `base: core24` snaps.

  It supports a broad range of hardware through the Mesa stack as well as Nvidia
  drivers installed from your distribution through the native SnapD support.

  To make use of this snap in your application, allowing for GPU acceleration on
  a broader set of hardware without including the drivers in your snap, refer to the
  documentation below:

  https://mir-server.io/docs/the-gpu-2404-snap-interface
license: MIT
architectures:
- amd64
base: core24
apps:
  component-monitor:
    command: bin/component-monitor
    restart-delay: 3s
    daemon: simple
    restart-condition: always
confinement: strict
grade: stable
environment:
  COMPONENT_INTERFACE: kernel-gpu-2404
  COMPONENT_SENTINEL_PATH: ${SNAP}/kernel-gpu-2404/kernel-gpu-2404-sentinel
  COMPONENT_TARGET: ${SNAP_DATA}/kernel-gpu-2404
  LD_LIBRARY_PATH: ${SNAP_LIBRARY_PATH}${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}:$SNAP/usr/lib:$SNAP/usr/lib/x86_64-linux-gnu
  PATH: $SNAP/usr/sbin:$SNAP/usr/bin:$SNAP/sbin:$SNAP/bin:$PATH
plugs:
  kernel-gpu-2404:
    interface: content
    target: $SNAP/kernel-gpu-2404
slots:
  gpu-2404:
    interface: content
    read:
    - $SNAP
    - $SNAP_DATA/kernel-gpu-2404
links:
  contact:
  - https://github.com/canonical/mesa-2404/issues
  source-code:
  - https://github.com/canonical/mesa-2404
  website:
  - https://github.com/canonical/mesa-2404
